import { NaverOpenApiAuthType } from "../../types/auth_types";
import { PAPAGO } from "./papago";
export declare class NaverOpenAPI {
    private baseUrl;
    /**
     * Get PAPAGO Service agent.
     * @access public
     * @param {NaverOpenApiAuthType} apiAuth Service identification for using NaverOpenApi
     * @returns {PAPAGO} return PAPAGO Service agent
     * @memberof NaverOpenAPI
     */
    papagoService(openApiAuth: NaverOpenApiAuthType): PAPAGO;
}
