import { NCPAuthKeyType, SMSserviceAuthType } from '../../types/auth_types';
import { SMS } from './sms';
export declare class SENS {
    private baseUrl;
    /**
     * Get SENS Service agent.
     * @access public
     * @param {NCPAuthKeyType} ncpAuthKey NCP API authentication data for using API
     * @param {SMSserviceAuthType} smsAuth Service identification for using SMS Service
     * @returns {SMS} return SMS Service agent
     * @memberof SENS
     */
    smsService(ncpAuthKey: NCPAuthKeyType, smsAuth: SMSserviceAuthType): SMS;
}
export declare class Project {
}
