/**
 * NCPAuthKeyType
 * @memberof SENS
 * @alias NCPAuthKeyType
 */
export declare type NCPAuthKeyType = {
    accessKey: string;
    secretKey: string;
};
/**
 * SMSserviceAuthType
 * @memberof SMS
 * @alias SMSserviceAuthType
 */
export declare type SMSserviceAuthType = {
    phone: string;
    serviceId: string;
};
/**
 * ApiSignatureParamType
 * @memberof generateApiSignature
 * @alias ApiSignatureParamType
 */
export declare type ApiSignatureParamType = {
    method: string;
    url: string;
    ncpAuthKey: NCPAuthKeyType;
};
/**
 * ApiSignatureReturnType
 * @memberof generateApiSignature
 * @alias ApiSignatureReturnType
 */
export declare type ApiSignatureReturnType = {
    timestamp: string;
    signature: string;
};
/**
 * NaverOpenApiAuthType
 * @memberof NaverOpenAPI
 * @alias NaverOpenApiAuthType
 */
export declare type NaverOpenApiAuthType = {
    clientId: string;
    clientSecret: string;
};
