/**
 * PAPAGOlanguageSupports
 *
 * @memberof languageSupportValidation
 * @alias PAPAGOlanguageSupports
 */
export declare const PAPAGOlanguageSupports: {
    ko: string[];
    en: string[];
    ja: string[];
    'zh-CN': string[];
    'zh-TW': string[];
    vi: string[];
    id: string[];
    th: string[];
    de: string[];
    ru: string[];
    es: string[];
    it: string[];
    fr: string[];
};
/**
 * PAPAGOlanguages
 *
 * @memberof languageSupportValidation
 * @alias PAPAGOlanguages
 */
export declare enum PAPAGOlanguages {
    korean = "ko",
    english = "en",
    ja = "ja",
    simplifiedChinese = "zh-CN",
    traditionalChinese = "zh-TW",
    vietnamese = "vi",
    indonesian = "id",
    thai = "th",
    german = "de",
    russian = "ru",
    spanish = "es",
    italian = "it",
    french = "fr"
}
